﻿namespace Palmmedia.MvcSampleApplication.Core.Domain.Entities
{
    /// <summary>
    /// Roles a <see cref="User"/> can have.
    /// </summary>
    public enum Roles
    {
        /// <summary>
        /// Editor - Can write <see cref="GuestbookEntry">guestbookEnties</see>.
        /// </summary>
        Editor,

        /// <summary>
        /// Admin - Can write <see cref="GuestbookEntry">guestbookEnties</see> and administer <see cref="User">users</see>.
        /// </summary>
        Admin
    }
}