﻿using Palmmedia.Common.Ioc;
using Palmmedia.Common.Net.Mvc.Localization;
using Palmmedia.MvcSampleApplication.Service.Proxy.ServiceReference;

namespace Palmmedia.MvcSampleApplication.UI.AspMvc.Controllers
{

    public abstract class ControllerBase : LocalizedControllerBase
    {
        /// <summary>
        /// Gets the <see cref="IServiceFacade"/>.
        /// </summary>
        protected IServiceFacade ServiceFacade
        {
            get
            {
                return IocHelper.Resolve<IServiceFacade>();
            }
        }
    }
}
