﻿
namespace Palmmedia.MvcSampleApplication.Core.Domain.Repository
{
    /// <summary>
    /// Interface for <see cref="IUnitOfWork"/> factory classes.
    /// </summary>
    public interface IUnitOfWorkFactory
    {
        /// <summary>
        /// Creates a new instance of <see cref="IUnitOfWork"/>.
        /// </summary>
        /// <returns>The created instance of <see cref="IUnitOfWork"/>.</returns>
        IUnitOfWork Create();
    }
}
