﻿using System.Web.Mvc;

namespace Palmmedia.MvcSampleApplication.UI.AspMvc.Controllers
{
    /// <summary>
    /// Controller for start page.
    /// </summary>
    [Palmmedia.Common.Net.Mvc.HandleError]
    public partial class HomeController : ControllerBase
    {
        /// <summary>
        /// Shows the start page.
        /// </summary>
        /// <returns>The start page.</returns>
        public virtual ActionResult Index()
        {
            return View();
        }

        /// <summary>
        /// Shows the 'about' view.
        /// </summary>
        /// <returns>The 'about' view.</returns>
        public virtual ActionResult About()
        {
            return View();
        }
    }
}
